<?
/**
 * VoiceOne Webservices Declarations
 *   
 * @package voiceone_webservices
 * @subpackage Moh
 */
// ---- MohClassStructure ------------------------------------------------------
$server->wsdl->addComplexType(
    'MohClassStructure',
    'complexType',
    'struct',
    'all',
    '',
    array(
       'name'        => array('name'=>'name',          'type'=>'xsd:string'),
       'mode'        => array('name'=>'mode',          'type'=>'xsd:string'),
       'application' => array('name'=>'application',   'type'=>'xsd:string')
    )
);
// ---- MohClassStructure[] ----------------------------------------------------
$server->wsdl->addComplexType(
    'MohClassStructureArray',
    'complexType',
    'array',
    '',
    'SOAP-ENC:Array',
    array(),
    array(
        array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:MohClassStructure[]')
    ),
    'tns:MohClassStructure'
);
// ---- MohClassDefinition ----------------------------------------------------
$server->wsdl->addComplexType(
    'MohClassDefinition',
    'complexType',
    'struct',
    'all',
    '',
    array(
        'name'        => array('name'=>'name',          'type'=>'xsd:int'),
        'mode'        => array('name'=>'mode',          'type'=>'xsd:int'),
        'application' => array('name'=>'application',   'type'=>'xsd:string'),
        'songs'       => array('name'=>'songs',         'type'=>'tns:stringArray')
    )
);
// ---- MohClassDefinition[] --------------------------------------------------
$server->wsdl->addComplexType(
    'MohClassDefinitionArray',
    'complexType',
    'array',
    '',
    'SOAP-ENC:Array',
    array(),
    array(
        array('ref'=>'SOAP-ENC:arrayType','wsdl:arrayType'=>'tns:MohClassDefinition[]')
    ),
    'tns:MohClassDefinition'
);
?>